#ifndef TEMPTRANSMITTER_H_
#define TEMPTRANSMITTER_H_

/*************************************************************************************************************************************************/
/*!     tempTransmitter.h
*
*
*
*/
/**************************************************************************************************************************************************
*       Copyright  2014 Texas Instruments Incorporated - http://www.ti.com/                                                                      *
***************************************************************************************************************************************************
*  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: *
*                                                                                                                                                 *
*    Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.                 *
*                                                                                                                                                 *
*    Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the        *
*    documentation and/or other materials provided with the distribution.                                                                         *
*                                                                                                                                                 *
*    Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived      *
*    from this software without specific prior written permission.                                                                                *
*                                                                                                                                                 *
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT          *
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     *
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT         *
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY    *
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE      *
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                                                                           *
**************************************************************************************************************************************************/

//Ports
#define  DAC_CS_PORTOUT              PJOUT
#define  DAC_CS_PORTDIR              PJDIR
#define  ADS_CS_PORTOUT              PJOUT
#define  ADS_CS_PORTDIR              PJDIR

// Port pins
#define USCIB0_SIMO                  BIT6       // P1.6 - SIMO
#define USCIB0_SOMI                  BIT7       // P1.7 - SOMI
#define USCIB0_CLK                   BIT2       // P2.2 - CLK
#define USCIA0_SOMI                  BIT1       // P2.1 - SOMI
#define USCIA0_SIMO                  BIT0       // P2.0 - SIMO
#define USCIA0_CLK                   BIT5       // P1.5 - CLK
#define USER_INTERRUPT_N             BIT0       // P1.0
#define ADS_CS_N                     BIT5       // PJ.5
#define ADS_DRDY_N                   BIT1       // P1.1
#define DAC_CS_N                     BIT1       // PJ.1
#define DAC_ERROR_N                  BIT4       // P1.4
#define ERR_LVL                      BIT0       // PJ.0


#endif /* TEMPTRANSMITTER_H_ */
